//
// Test utility
//

#include <stdio.h>
#include "utility.h"

int main() {
    float target=2.0f;
    int goal = UTIL_GOAL_MAX;
    int scale = UTIL_SCALE_LIN;
    utility u = utility_create(target, goal, scale);
    
    printf("target : %f\n", target);
    unsigned int i;
    for (i=0; i<5; i++)
        printf("u(%d) = %f\n", i, utility_evaluate(u, i));

    utility_free(u);
    printf("done.\n");
    return 0;
}

